Does gtk.so work in Win98?
c:\ruby\doc\ruby\gtk-0.23\sample has several .rb files which
  require 'gtk' as the first line

Trying the calendar.rb file for example,
I get this error msg:

calendar.rb:1:in 'require': dlopen: Win32 error 1157 - [line continues]
  -/cygdrive/c/RUBY/lib/ruby/site_ruby/1.6/i386-cygwin/gtk.so (LoadError)
   from calendar.rb:1

gtk.so is in that subdir.

Any ideas what might cause this error?
Has anyone used the gtk.so in a Win98 environment?

-- doug edmunds
22 Mar 2001